Loading...
Searching...
No Matches
Dune::AMGCreator Struct Reference

`#include <dune/istl/paamg/amg.hh>`

## Classes

struct | isValidMatrix
struct | isValidMatrix< BCRSMatrix< FieldMatrix< T, n, m >, A > >

## Public Member Functions

template<class OP>
std::shared_ptr< Dune::Preconditioner< typename OP::element_type::domain_type, typename OP::element_type::range_type > > | makeAMG (const OP &op, const std::string &smoother, const Dune::ParameterTree &config) const
template<class M, class X, class Y>
std::shared_ptr< Dune::Preconditioner< X, Y > > | makeAMG (const std::shared_ptr< MatrixAdapter< M, X, Y > > &op, const std::string &smoother, const Dune::ParameterTree &config) const
template<class M, class X, class Y, class C>
std::shared_ptr< Dune::Preconditioner< X, Y > > | makeAMG (const std::shared_ptr< OverlappingSchwarzOperator< M, X, Y, C > > &op, const std::string &smoother, const Dune::ParameterTree &config) const
template<class M, class X, class Y, class C>
std::shared_ptr< Dune::Preconditioner< X, Y > > | makeAMG (const std::shared_ptr< NonoverlappingSchwarzOperator< M, X, Y, C > > &op, const std::string &smoother, const Dune::ParameterTree &config) const
template<typename OpTraits, typename OP>
std::shared_ptr< Dune::Preconditioner< typename OpTraits::domain_type, typename OpTraits::range_type > > | operator() (OpTraits opTraits, const std::shared_ptr< OP > &op, const Dune::ParameterTree &config, std::enable_if_t< isValidMatrix< typename OpTraits::matrix_type >::value, int >=0) const
template<typename OpTraits, typename OP>
std::shared_ptr< Dune::Preconditioner< typename OpTraits::domain_type, typename OpTraits::range_type > > | operator() (OpTraits opTraits, const std::shared_ptr< OP > &op, const Dune::ParameterTree &config, std::enable_if_t<!isValidMatrix< typename OpTraits::matrix_type >::value, int >=0) const

The documentation for this struct was generated from the following file:

- amg.hh